commit: 5699d94c4d919cb69d905bf5e2d4ec2e74dc878c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 26 17:47:39 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 26 17:47:39 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5699d94c
dev-python/pytest-cov: Bump to 4.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-cov/Manifest | 1 +
dev-python/pytest-cov/pytest-cov-4.1.0.ebuild | 70 +++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-python/pytest-cov/Manifest b/dev-python/pytest-cov/Manifest
index 69d38d493d4b..4808cc8fa694 100644
--- a/dev-python/pytest-cov/Manifest
+++ b/dev-python/pytest-cov/Manifest
@@ -1 +1,2 @@
DIST pytest-cov-4.0.0.tar.gz 62013 BLAKE2B
af8a12955e3f22cd9dc257874f86c04c3c6e29f4af2d2838f37ca196c4955dcf4007c7b404f31c303d0eef6c3735fa1a6268c3bb9f01ed54860750ca2f83b6f5
SHA512
fb993be4d86b29a44e4f2ccd2309d99ab9fe8e6b291abbc2a8a3fc8b36479491165a242a20bfa9886dfd296fcc827da9984b556fdbe9a3ac496ac5b6ba379012
+DIST pytest-cov-4.1.0.tar.gz 63245 BLAKE2B
ed69b96f2117fb924c47b5d80c4e01ec2ab27162ee31a91943e72927a919fe194a8a67ee86eb6bae68ac5a34288c91c57edd8a4800dbffca83f7da4006792d04
SHA512
1280e338ad236ae6757e4538a641fef740bee6c85c5af1f649ba4f28fd99f84ff1048ae40b8633d1751ea248788c1efd401aa078b3aa5929a9249514e5722fc1
diff --git a/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
b/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
new file mode 100644
index 000000000000..0ef6459f20cb
--- /dev/null
+++ b/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="pytest plugin for coverage reporting"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-cov/
+ https://pypi.org/project/pytest-cov/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.6[${PYTHON_USEDEP}]
+ >=dev-python/coverage-6.4.4-r1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/fields[${PYTHON_USEDEP}]
+ >=dev-python/process-tests-2.0.2[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0.0-pytest-xdist-2.5.0.patch
+)
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-py3doc-enhanced-theme
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: disabling all plugins speeds tests up a lot
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_cov.plugin,xdist.plugin,xdist.looponfail
+
+ local EPYTEST_DESELECT=(
+ # attempts to install packages via pip (network)
+ tests/test_pytest_cov.py::test_dist_missing_data
+ # TODO
+ tests/test_pytest_cov.py::test_contexts
+ )
+
+ local src=$(
+ "${EPYTHON}" -c "import coverage as m; print(*m.__path__)" ||
die
+ )
+ # TODO: why do we need to do that?!
+ # https://github.com/pytest-dev/pytest-cov/issues/517
+ ln -s "${src}/coverage" \
+ "${BUILD_DIR}/install$(python_get_sitedir)/coverage" || die
+
+ nonfatal epytest
+ local ret=${?}
+
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/coverage" || die
+
+ [[ ${ret} -ne 0 ]] && die "epytest failed on ${EPYTHON}"
+}